basic_string.tcc File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _BASIC_STRING_TCC
#define | _GLIBCXX_STRING_CONSTEXPR

## Functions

template<typename _CharT, typename _Traits, typename _Alloc>
basic_istream< _CharT, _Traits > & | std::getline (basic_istream< _CharT, _Traits > &__is, basic_string< _CharT, _Traits, _Alloc > &__str, _CharT __delim)
template<typename _CharT, typename _Traits, typename _Alloc>
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__is, basic_string< _CharT, _Traits, _Alloc > &__str)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <string>.

Definition in file basic_string.tcc.

## Macro Definition Documentation

## _BASIC_STRING_TCC

#define _BASIC_STRING_TCC

Definition at line 40 of file basic_string.tcc.

## _GLIBCXX_STRING_CONSTEXPR

#define _GLIBCXX_STRING_CONSTEXPR

Definition at line 652 of file basic_string.tcc.